On this page
No Headings
Customizes the payer experience during the approval process for payment with PayPal.
Note: Partners and Marketplaces might configurebrand_nameandshipping_preferenceduring partner account setup, which overrides the request values.
objectbrand_namestring^.*$The label that overrides the business name in the PayPal account on the PayPal site. The pattern is defined by an external party and supports Unicode.
localeobject^[a-z]{2}(?:-[A-Z][a-z]{3})?(?:-(?:[A-Z]{2}|[0-9]{3}))?$The language tag for the language in which to localize the error-related strings, such as messages, issues, and suggested actions. The tag is made up of the ISO 639-2 language code, the optional ISO-15924 script tag, and the ISO-3166 alpha-2 country code or M49 region code.
The BCP 47-formatted locale of pages that the PayPal payment experience shows. PayPal supports a five-character code. For example, da-DK, he-IL, id-ID, ja-JP, no-NO, pt-BR, ru-RU, sv-SE, th-TH, zh-CN, zh-HK, or zh-TW.
shipping_preferencestring"GET_FROM_FILE", "NO_SHIPPING", "SET_PROVIDED_ADDRESS""GET_FROM_FILE"The location from which the shipping address is derived.
contact_preferencestring"NO_CONTACT_INFO", "UPDATE_CONTACT_INFO", "RETAIN_CONTACT_INFO""NO_CONTACT_INFO"The preference to display the contact information (buyer’s shipping email & phone number) on PayPal's checkout for easy merchant-buyer communication.
return_urlobjecturiDescribes the URL.
The URL where the customer will be redirected upon approving a payment.
cancel_urlobjecturiDescribes the URL.
The URL where the customer will be redirected upon cancelling the payment approval.
app_switch_contextobjectMerchant provided details of the native app or mobile web browser to facilitate buyer's app switch to the PayPal consumer app.
Merchants can use this to switch buyers from their website/application to the PayPal consumer app to review and approve the transaction.
native_appobjectMerchant provided, buyer's native app preferences to app switch to the PayPal consumer app.
os_typestring"ANDROID", "IOS", "OTHER"Operating System type of the device that the buyer is using.
os_versionstring^.*$Operating System version of the device that the buyer is using.
mobile_webobjectBuyer's mobile web browser context to app switch to the PayPal consumer app.
return_flowstring"AUTO", "MANUAL""AUTO"Merchant preference on how the buyer can navigate back to merchant website post approving the transaction on the PayPal App.
buyer_user_agentstring^.*$User agent from the request originating from the buyer's device. This will be used to identify the buyer's operating system and browser versions. NOTE: Merchants must not alter or modify the buyer's device user agent.
landing_pagestring"LOGIN", "GUEST_CHECKOUT", "NO_PREFERENCE", "BILLING""NO_PREFERENCE"The type of landing page to show on the PayPal site for customer checkout.
user_actionstring"CONTINUE", "PAY_NOW""CONTINUE"Configures a Continue or Pay Now checkout flow.
payment_method_preferencestring"UNRESTRICTED", "IMMEDIATE_PAYMENT_REQUIRED""UNRESTRICTED"The merchant-preferred payment methods.
order_update_callback_configobjectCallBack Configuration that the merchant can provide to PayPal/Venmo.
Merchant provided Order Update callback configuration for PayPal Wallet.PayPal will call back merchant when the specified event occurs.we recommend merchants to pass both the shipping_options and shipping_address callback events. Not supported when shipping.type is specified or when 'application_context.shipping_preference' is set as 'NO_SHIPPING' or 'SET_PROVIDED_ADDRESS'.
callback_eventsrequiredarrayAn array of callback events merchant can subscribe to for the corresponding callback url.
itemsstring"SHIPPING_ADDRESS", "SHIPPING_OPTIONS"CallBack event.
callback_urlrequiredstringuriMerchant provided CallBack url.PayPal/Venmo will use this url to call the merchant back when the events occur .PayPal/Venmo expects a secured url usually in the https format.merchant can append the cart id or other params part of the url as query or path params.